%define api		3
%define major		16
%define gir_major	3.0

%define libname		%mklibname gweather 3 %{major}
%define develname	%mklibname -d gweather
%define girname		%mklibname gweather-gir %{gir_major}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	GNOME Weather applet library
Name:		libgweather
Version:	3.36.1
Release:	%mkrel 1
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	GPLv2+
Group:		System/Libraries
Url:		https://wiki.gnome.org/Apps/Weather
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.90.0
BuildRequires:	pkgconfig(libsoup-gnome-2.4) >= 2.25.1
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6.0
BuildRequires:	pkgconfig(geocode-glib-1.0)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	glib2-devel >= 2.13.0
BuildRequires:	intltool >= 0.40.6
BuildRequires:	libxml2-utils
BuildRequires:	meson
BuildRequires:	gobject-introspection-devel >= 0.10.5

%description
This is a library to provide Weather data to the GNOME panel applet.

%package -n %{libname}
Group:		System/Libraries
Summary:	GNOME Weather applet library
Requires:	%{name} >= %{version}-%{release}


%description -n %{libname}
This is a library to provide Weather data to the GNOME panel applet.

%package -n %{develname}
Group:		Development/Libraries
Summary:	GNOME Weather applet library
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{mklibname -d gweather} = %{version}-%{release}

%description -n %{develname}
This is a library to provide Weather data to the GNOME panel applet.


%prep
%setup -q

%build
%meson -Denable_vala=true -Dgtk_doc=true
%meson_build

%install
%meson_install


%find_lang %{name} --all-name

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -f %{name}.lang
%doc AUTHORS NEWS
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/Locations.xml
%{_datadir}/%{name}/locations.dtd
%{_datadir}/glib-2.0/schemas/org.gnome.GWeather.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.GWeather.gschema.xml
%{_datadir}/glade/catalogs/libgweather.xml

%files -n %{libname}
%{_libdir}/libgweather-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/GWeather-%{gir_major}.typelib

%files -n %{develname}
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%{_datadir}/gtk-doc/html/%{name}
%{_datadir}/gir-1.0/GWeather-%{gir_major}.gir
%{_datadir}/vala/vapi/gweather-%{gir_major}.vapi
%{_datadir}/vala/vapi/gweather-%{gir_major}.deps


%changelog
* Sat Jun 20 2020 tex - 3.36.1-1pclos2020
- new version

* Mon Mar 09 2020 tex - 3.36.0-1pclos2020
- new version

* Tue Jan 07 2020 tex - 3.34.0-1pclos2020
- create
